#include "UUtil/warning.h"
#include "UTES/object.h"
#include <fstream>

int main (int argc,char *argv[])
{
   UTES::Inheritance::globalise();

   std::string config_file ;

   MONITOR(UUtil::WarningStream,"EXAMPLE CONFIGURATION SERVICE") ;

   for (int i = 0 ; i < argc ; ++i)
   {
      MONITOR(UUtil::WarningStream,"argv[" << i << "] = \"" << argv[i] << "\"") ;
   }

   if (argc > 3)
      config_file = argv[3] ;

   // If you don't find one then give up
   if (config_file.empty())
   {
      MONITOR(UUtil::WarningStream,"NO CONFIG FILE SET") ;
   } else {
      MONITOR(UUtil::WarningStream,"USING " << config_file << " AS CONFIG FILE") ;
      // Read lines from config and put them on the trace
      std::ifstream input(config_file) ;
      std::string line ;
      while (std::getline(input,line))
         MONITOR(UUtil::WarningStream,config_file << ": " << line) ;
   }

   // Do something for ever
   while (true) {
      UThread::Thread::sleep(10.0) ;
   }
}
